Get Deliverable Detail
GET
/v1/portal/deliverables/{deliverable_key}
const url = 'https://example.com/v1/portal/deliverables/example?tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/deliverables/example?tenant_id='Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”deliverable_key
required
Deliverable Key
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalCreativeDeliverableOut
object
deliverable_key
required
Deliverable Key
string
title
Title
string
deliverable_type
Deliverable Type
string
status
Status
string
summary
Summary
string
service_cell_key
Service Cell Key
string
project_slug
Project Slug
string
package_key
Package Key
string
proposal_key
Proposal Key
string
owner_group_paths
Owner Group Paths
Array<string>
reviewer_group_paths
Reviewer Group Paths
Array<string>
reviewer_subject_keys
Reviewer Subject Keys
Array<string>
approved_subject_keys
Approved Subject Keys
Array<string>
review_due_at
Review Due At
string
review_status
Review Status
string
next_action
Next Action
string
deadline_at
Deadline At
string
reassign_candidate_subject_keys
Reassign Candidate Subject Keys
Array<string>
selected_reassignment_subject_key
Selected Reassignment Subject Key
string
vendor_org_keys
Vendor Org Keys
Array<string>
Example
{ "title": "", "deliverable_type": "", "status": "planned", "summary": "", "service_cell_key": "", "project_slug": "", "package_key": "", "proposal_key": "", "review_due_at": "", "review_status": "", "next_action": "", "deadline_at": "", "selected_reassignment_subject_key": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}